package com.project.zcustom.mapper.unit;

import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.project.zcustom.domain.addional.LargePlan;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;


/**
 * 工程计划Mapper接口
 *
 * @author change
 * @date 2024-12-30
 */
public interface LargePlanMapper extends BaseMapper<LargePlan>
{
    /**
     * 查询工程计划
     *
     * @param id 工程计划主键
     * @return 工程计划
     */
    public LargePlan selectLargePlanById(Long id);

    /**
     * 查询工程计划列表
     *
     * @param largePlan 工程计划
     * @return 工程计划集合
     */
    public List<LargePlan> selectLargePlanList(LargePlan largePlan);

    /**
     * 新增工程计划
     *
     * @param largePlan 工程计划
     * @return 结果
     */
    public int insertLargePlan(LargePlan largePlan);

    /**
     * 修改工程计划
     *
     * @param largePlan 工程计划
     * @return 结果
     */
    public int updateLargePlan(LargePlan largePlan);

    /**
     * 删除工程计划
     *
     * @param id 工程计划主键
     * @return 结果
     */
    public int deleteLargePlanById(Long id);

    /**
     * 批量删除工程计划
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLargePlanByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<LargePlan> deleteWrapper);

    public int getCheckProjectNum(Date startDate, Date endDate);

    public List<LargePlan> planCheckList();

    public List<LargePlan> planDoneList();
}
